incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ARUN KUMAR KANDREGULA (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-1310) Get rid of mvn warnings
Date Wed, 30 Jan 2013 22:45:12 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-1310?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

ARUN KUMAR KANDREGULA updated AMBARI-1310:
------------------------------------------

    Description: 
Every time we build project maven shows multiple warnings ( we need to get rid of such warnings
):
{code}
[WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build
is platform dependent!
{code}
{code}
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for org.apache.ambari:ambari-server:jar:1.2.0-SNAPSHOT
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin
is missing. @ org.apache.ambari:ambari:1.2.0-SNAPSHOT, /code/pom.xml, line 66, column 15
[WARNING] 
[WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
[WARNING] 
[WARNING] For this reason, future Maven versions might no longer support building such malformed
projects.
[WARNING] 
{code}

  was:
Every time we build project maven shows multiple warnings:
{code}
[WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build
is platform dependent!
{code}
May I set default source encoding for project to UTF-8 as described here
http://maven.apache.org/general.html#encoding-warning 
?

Also there are multiple warnings about plugin versions. May I try to fix them too?
{code}
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for org.apache.ambari:ambari-server:jar:1.2.0-SNAPSHOT
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin
is missing. @ org.apache.ambari:ambari:1.2.0-SNAPSHOT, /code/pom.xml, line 66, column 15
[WARNING] 
[WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
[WARNING] 
[WARNING] For this reason, future Maven versions might no longer support building such malformed
projects.
[WARNING] 
{code}

    
> Get rid of mvn warnings
> -----------------------
>
>                 Key: AMBARI-1310
>                 URL: https://issues.apache.org/jira/browse/AMBARI-1310
>             Project: Ambari
>          Issue Type: Bug
>          Components: client
>    Affects Versions: 1.2.0
>            Reporter: ARUN KUMAR KANDREGULA
>            Assignee: ARUN KUMAR KANDREGULA
>              Labels: client
>             Fix For: 1.3.0
>
>         Attachments: AMBARI-1310.patch
>
>
> Every time we build project maven shows multiple warnings ( we need to get rid of such
warnings ):
> {code}
> [WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build
is platform dependent!
> {code}
> {code}
> [WARNING] 
> [WARNING] Some problems were encountered while building the effective model for org.apache.ambari:ambari-server:jar:1.2.0-SNAPSHOT
> [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin
is missing. @ org.apache.ambari:ambari:1.2.0-SNAPSHOT, /code/pom.xml, line 66, column 15
> [WARNING] 
> [WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
> [WARNING] 
> [WARNING] For this reason, future Maven versions might no longer support building such
malformed projects.
> [WARNING] 
> {code}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message